Sign Off Dose
curl --request POST \
--url https://api.decodahealth.com/user/patient/doses/{dose_id}/sign-off \
--header 'API-KEY: <api-key>' \
--header 'TENANT: <tenant>'import requests
url = "https://api.decodahealth.com/user/patient/doses/{dose_id}/sign-off"
headers = {
"TENANT": "<tenant>",
"API-KEY": "<api-key>"
}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {TENANT: '<tenant>', 'API-KEY': '<api-key>'}};
fetch('https://api.decodahealth.com/user/patient/doses/{dose_id}/sign-off', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"patientId": "<string>",
"name": "<string>",
"providerId": "<string>",
"sideEffects": "<string>",
"administrationLocation": "<string>",
"amount": 123,
"unit": "AMPOULES",
"lotNumber": "<string>",
"stockId": "<string>",
"noteId": "<string>",
"doseDate": "2023-11-07T05:31:56Z",
"comment": "<string>",
"frequency": "<string>",
"quantity": 123,
"isUsedAsTemplate": true,
"signedOffProviderId": "<string>",
"signedOffDate": "2023-11-07T05:31:56Z",
"provider": {
"id": "<string>",
"type": "PROVIDER",
"firstName": "<string>",
"lastName": "<string>",
"phoneNumber": "<string>",
"email": "<string>",
"locationId": "<string>"
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Patient Doses
Sign Off Dose
Sign off on a medication administration event.
POST
/
user
/
patient
/
doses
/
{dose_id}
/
sign-off
Sign Off Dose
Headers
The tenant you are making this request on behalf of
Your api key
Path Parameters
Response
Successful Response
DEPRECATED: Use DoseSummary for administration records. This schema is kept for backward compatibility.
Available options:
AMPOULES, APPLICATORS, BOTTLES, BOXES, CAPSULES, CUPS, DOSES, G_PER_ML, GRAMS, IU, IU_PER_ML, OUNCES, FLUID_OUNCES, KG, KITS, LITERS, MCG, MG, MG_PER_ML, ML, MMOL, MICROGRAM_PER_ML, PACKS, PAIRS, PATCHES, PERCENTAGE, PIECES, POUCHES, ROLLS, SACHETS, SHEETS, SPRAYS, STRIPS, SYRINGES, TABLETS, TABLETS_PER_DAY, TESTS, TUBES, UNITS, VIALS, TREATMENTS, SESSIONS, PULSES, JOULES, CENTIMETERS, THREAD_COUNT, INJECTIONS, WRINKLE_UNITS, POUNDS, FEET, INCHES Show child attributes
Show child attributes

